#Scoreboards (Add the different scoreboards needed)
        scoreboard objectives add Timer dummy
        
        #Timer (Add a "Timer" score to any entity and it will count down automatically - a score of 100 = 1 second)
        execute as @e [scores={Timer=1..}] at @s run scoreboard players remove @s Timer 5
        execute as @e [scores={Timer=..0}] at @s run scoreboard players reset @s Timer

#Torch logic
        execute as @a at @s run fill ~-17 ~-7  ~-17 ~17 ~7 ~17 air 0 replace light_block 13
        execute as @a [hasitem={item=torch,location=slot.weapon.mainhand}] at @s if block ~~2~ air 0 run setblock ~~2~ light_block 13
        execute as @a [hasitem={item=torch,location=slot.weapon.mainhand}] at @s anchored eyes positioned ^^^1 if block ~~~ air 0 run setblock ~~~ light_block 13
        execute as @a [hasitem={item=torch,location=slot.weapon.mainhand}] at @s anchored eyes positioned ^^^2 if block ~~~ air 0 run setblock ~~~ light_block 13
        execute as @a [hasitem={item=torch,location=slot.weapon.mainhand}] at @s anchored eyes positioned ^^^3 if block ~~~ air 0 run setblock ~~~ light_block 13
        

#Snowball Wand logic

        #Wand spells hit entity

                #1 Alohomora (Open Doors)
                execute as @e [type=snowball,scores={WandSpell=1}] at @s positioned ~~~ run tag @s add Alohomora

                #2 Episkey (Heal)
                execute as @e [type=snowball,scores={WandSpell=2}] at @s positioned ~~~ run effect @p [r=5] regeneration 10 1
                execute as @e [type=snowball,scores={WandSpell=2}] at @s positioned ~~~ run execute as @p [r=5] at @s run playsound random.levelup @s ~~1~
                execute as @e [type=snowball,scores={WandSpell=2,WandTTL=3..}] at @s positioned ~~~ run kill @s
                
                #3 Lumos (Wand gives Light)
                execute as @e [type=snowball,scores={WandSpell=3}] at @s run scoreboard players add @p [c=1] WandLumos 1
                scoreboard players set @a [scores={WandLumos=2..}] WandLumos 0
                execute as @e [type=snowball,scores={WandSpell=3}] at @s run execute as @p [r=5] at @s run playsound random.orb @s ~~1~
                execute as @e [type=snowball,scores={WandSpell=3}] at @s run title @p [scores={WandLumos=1},r=5,c=1] title §6Lumos!
                execute as @e [type=snowball,scores={WandSpell=3}] at @s run title @p [scores={WandLumos=0},r=5,c=1] title §8Nox!
                execute as @e [type=snowball,scores={WandSpell=3}] at @s run kill @s
                execute as @a [scores={WandSpellPlayer=!3, WandLumos=1}] at @s run title @s title §8Nox!
                scoreboard players set @a [scores={WandSpellPlayer=!3}] WandLumos 0

                execute as @a [hasitem={item=snowball,location=slot.weapon.mainhand}, scores={WandLumos=1}] at @s if block ~~2~ air 0 run setblock ~~2~ light_block 13
                execute as @a [hasitem={item=snowball,location=slot.weapon.mainhand}, scores={WandLumos=1}] at @s anchored eyes positioned ^^^1 if block ~~~ air 0 run setblock ~~~ light_block 13
                execute as @a [hasitem={item=snowball,location=slot.weapon.mainhand}, scores={WandLumos=1}] at @s anchored eyes positioned ^^^2 if block ~~~ air 0 run setblock ~~~ light_block 13
                execute as @a [hasitem={item=snowball,location=slot.weapon.mainhand}, scores={WandLumos=1}] at @s anchored eyes positioned ^^^3 if block ~~~ air 0 run setblock ~~~ light_block 13

                #4 Periculum (Shoot Red Fireworks)
                execute as @e [type=snowball,scores={WandSpell=4,WandTTL=20..}] at @s run summon fireworks_rocket ~~2~
                execute as @e [type=snowball,scores={WandSpell=4,WandTTL=20..}] at @s positioned ~~-2~ run playsound firework.blast @a [r=75] 
                execute as @e [type=snowball,scores={WandSpell=4, WandTTL=40..}] at @s run kill @s

                #5 Reparo (Repair broken scene)
                execute as @e [type=snowball,scores={WandSpell=5}] at @s positioned ~~~ run tag @s add Reparo
                
                #6 Revelio (Reveal secrets)
                execute as @e [type=snowball,scores={WandSpell=6}] at @s positioned ~~~ run tag @s add Revelio
                
                #7 Wingardium Leviosa (Levitate)
                execute as @e [type=snowball,scores={WandSpell=7,WandTTL=2..}] at @s positioned ~~-1~ run effect @e [type=!hp:buckbeak, type=!npc, type=!painting, type=!hp:thestral, type=!hp:hagrid,type=!hog:sortinghat,r=1.6] levitation 3 1
                execute as @e [type=snowball,scores={WandSpell=7}] at @s positioned ~~~ run tag @e [type=item,name=Feather,r=5] add WingardiumLeviosa
                execute as @e [tag=WingardiumLeviosa] at @s if block ~~1~ air run tp @s ~~0.1~
                execute as @e [tag=WingardiumLeviosa] at @s unless entity @p [r=7] run tag @s remove WingardiumLeviosa 

                #8 Apparate to Floo Powder Hub
                #execute as @e [type=snowball,scores={WandSpell=8,WandTTL=10}] at @s positioned ~~-1~ run tag @p [scores={WandSpellPlayer=8}] add FlooHub
                #execute as @e [type=snowball,scores={WandSpell=8,WandTTL=10}] at @s positioned ~~-1~ run kill @s
                #tp @a [tag=FlooHub] 31 7 1980
                #tag @a remove FlooHub

                execute as @e [type=snowball,scores={WandSpell=8,WandTTL=5}] at @s positioned ~~-1~ run effect @p [scores={WandSpellPlayer=8}] levitation 1 15
                execute as @e [type=snowball,scores={WandSpell=8,WandTTL=25}] at @s positioned ~~-1~ run tag @p [scores={WandSpellPlayer=8}] add FlooHub
                execute as @e [type=snowball,scores={WandSpell=8,WandTTL=25}] at @s positioned ~~-1~ run kill @s
                tp @a [tag=FlooHub] 31 7 1980
                tag @a remove FlooHub

        #Add and clean sooreboards 
                scoreboard objectives add WandTTL dummy
                scoreboard objectives add WandSpell dummy
                scoreboard objectives add WandSpellPlayer dummy
                scoreboard objectives add WandText dummy
                scoreboard objectives add WandCooldown dummy
                scoreboard objectives add WandLumos dummy
                execute as @a at @s unless entity @e [type=snowball] run scoreboard objectives remove WandTTL
                execute as @a at @s unless entity @e [type=snowball] run scoreboard objectives remove WandSpell

        #Make sure players can't spam their wands
                clear @a [scores={WandCooldown=2..}] snowball
                clear @a [scores={WandCooldown=2..}] stick
                replaceitem entity @a [scores={WandCooldown=2..}] slot.weapon.mainhand 0 stick
                scoreboard players remove @a [scores={WandCooldown=1..}] WandCooldown 1
                replaceitem entity @a [scores={WandCooldown=1}] slot.weapon.mainhand 0 snowball

        #Make sure players don't get to close to eachother
                execute as @a [hasitem={item=snowball,location=slot.weapon.mainhand}] at @s if entity @p [rm=0.8,r=5, hasitem={item=snowball,location=slot.weapon.mainhand}] run scoreboard players set @s WandCooldown 10
                execute as @a [hasitem={item=snowball,location=slot.weapon.mainhand}] at @s if entity @p [rm=0.8,r=5, hasitem={item=snowball,location=slot.weapon.mainhand}] run title @s actionbar §4Too close to other player, wand disabled!



        #Cycle through different Spells
                execute as @e [type=item, name=Wand] at @s run scoreboard players add @p [c=1,r=2] WandSpellPlayer 1
                #Realm fix Wand
                execute as @e [type=item, name=Snowball] at @s run scoreboard players add @p [c=1,r=2] WandSpellPlayer 1

                execute as @e [type=item, name="Recharging Wand"] at @s run scoreboard players add @p [c=1] WandSpellPlayer 1
                #Realm fix Recharging Wand
                execute as @e [type=item, name="Stick"] at @s run scoreboard players add @p [c=1] WandSpellPlayer 1

                execute as @a unless entity @s [scores={WandSpellPlayer=0..}] run scoreboard players set @s WandSpellPlayer 6
                scoreboard players set @a [scores={WandSpellPlayer=9..}] WandSpellPlayer 1

                #Inform players which Spell is selected
                        execute as @e [type=item, name=Wand] at @s run scoreboard players set @p [c=1] WandText 1
                        #Realm fix Wand
                        execute as @e [type=item, name=Snowball] at @s run scoreboard players set @p [c=1] WandText 1

                        execute as @e [type=item, name="Recharging Wand"] at @s run scoreboard players set @p [c=1] WandText 1
                        #Realm fix Recharging Wand
                        execute as @e [type=item, name="Stick"] at @s run scoreboard players set @p [c=1] WandText 1

                        scoreboard players add @a [scores={WandText=1..}] WandText 1
                        scoreboard players set @a [scores={WandText=100..}] WandText 0

                #Kill wand after cycle
                        execute as @e [type=item, name="Wand"] at @s run replaceitem entity @p slot.weapon.mainhand 0 snowball
                        #Realm fix Wand
                        execute as @e [type=item, name="Snowball"] at @s run replaceitem entity @p slot.weapon.mainhand 0 snowball

                        kill @e [type=item, name=Wand]
                        #Realm fix Wand
                        kill @e [type=item, name=Snowball]

                        kill @e [type=item, name="Recharging Wand"]
                        #Realm fix Recharging Wand
                        kill @e [type=item, name="Stick"]


        #Make sure Spells don't fly indefinitely
                scoreboard players add @e [type=snowball] WandTTL 1
                kill @e [type=snowball, scores={WandTTL=71..}]
                scoreboard players reset @e [type=snowball,scores={WandTTL=72..}]

        #Entity protection

                execute as @e [type=snowball] at @s positioned ~~-1~ if entity @e [type=painting,r=2.5] run kill @s
                execute as @e [type=snowball] at @s positioned ~~-1~ if entity @e [type=hw:r_banner,r=3] run kill @s
                execute as @e [type=snowball] at @s positioned ~~-1~ if entity @e [type=hw:g_banner,r=3] run kill @s
                execute as @e [type=snowball] at @s positioned ~~-1~ if entity @e [type= hw:s_banner,r=3] run kill @s
                execute as @e [type=snowball] at @s positioned ~~-1~ if entity @e [type=hw:h_banner,r=3] run kill @s
                execute as @e [type=snowball] at @s positioned ~~-1~ if entity @e [type= hw:c_banner,r=3] run kill @s

      
        #Spells and Cooldown
                execute as @a [scores={WandSpellPlayer=1}] at @s run scoreboard players set @e [type=snowball,scores={WandTTL=2},r=5,c=1] WandSpell 1
                execute as @a [scores={WandSpellPlayer=1}] at @s run execute as @s [scores={WandText=1..}] at @s run title @s actionbar §bSpell: §cAlohomora §e(Open locked doors) §bselected.
                execute as @e [type=snowball, scores={WandTTL=2}] at @s run scoreboard players set @a [r=5,c=1,scores={WandSpellPlayer=1}] WandCooldown 20

                execute as @a [scores={WandSpellPlayer=2}] at @s run scoreboard players set @e [type=snowball,scores={WandTTL=2},r=5,c=1] WandSpell 2
                execute as @a [scores={WandSpellPlayer=2}] at @s run execute as @s [scores={WandText=1..}] at @s run title @s actionbar §bSpell: §6Episkey §e(Heal self) §bselected.
                execute as @e [type=snowball, scores={WandTTL=2}] at @s run scoreboard players set @a [r=5,c=1,scores={WandSpellPlayer=2}] WandCooldown 200

                execute as @a [scores={WandSpellPlayer=3}] at @s run scoreboard players set @e [type=snowball,scores={WandTTL=2},r=5,c=1] WandSpell 3
                execute as @a [scores={WandSpellPlayer=3}] at @s run execute as @s [scores={WandText=1..}] at @s run title @s actionbar §bSpell: §eLumos §e(Cast light) §bselected.
                execute as @e [type=snowball, scores={WandTTL=2}] at @s run scoreboard players set @a [r=5,c=1,scores={WandSpellPlayer=3}] WandCooldown 10

                execute as @a [scores={WandSpellPlayer=4}] at @s run scoreboard players set @e [type=snowball,scores={WandTTL=2},r=5,c=1] WandSpell 4
                execute as @a [scores={WandSpellPlayer=4}] at @s run execute as @s [scores={WandText=1..}] at @s run title @s actionbar §bSpell: §4Periculum §e(Shoot fireworks) §bselected.
                execute as @e [type=snowball, scores={WandTTL=2}] at @s run scoreboard players set @a [r=5,c=1,scores={WandSpellPlayer=4}] WandCooldown 100

                execute as @a [scores={WandSpellPlayer=5}] at @s run scoreboard players set @e [type=snowball,scores={WandTTL=2},r=5,c=1] WandSpell 5
                execute as @a [scores={WandSpellPlayer=5}] at @s run execute as @s [scores={WandText=1..}] at @s run title @s actionbar §bSpell: §dReparo §e(Repair) §bselected.
                execute as @e [type=snowball, scores={WandTTL=2}] at @s run scoreboard players set @a [r=5,c=1,scores={WandSpellPlayer=5}] WandCooldown 20

                execute as @a [scores={WandSpellPlayer=6}] at @s run scoreboard players set @e [type=snowball,scores={WandTTL=2},r=5,c=1] WandSpell 6
                execute as @a [scores={WandSpellPlayer=6}] at @s run execute as @s [scores={WandText=1..}] at @s run title @s actionbar §bSpell: §gRevelio §e(Reveal secrets) §bselected.
                execute as @e [type=snowball, scores={WandTTL=2}] at @s run scoreboard players set @a [r=5,c=1,scores={WandSpellPlayer=6}] WandCooldown 20

                execute as @a [scores={WandSpellPlayer=7}] at @s run scoreboard players set @e [type=snowball,scores={WandTTL=2},r=5,c=1] WandSpell 7
                execute as @a [scores={WandSpellPlayer=7}] at @s run execute as @s [scores={WandText=1..}] at @s run title @s actionbar §bSpell: §fWingardium Leviosa §e(Levitate) §bselected.
                execute as @e [type=snowball, scores={WandTTL=2}] at @s run scoreboard players set @a [r=5,c=1,scores={WandSpellPlayer=7}] WandCooldown 20

                execute as @a [scores={WandSpellPlayer=8}] at @s run scoreboard players set @e [type=snowball,scores={WandTTL=2},r=5,c=1] WandSpell 8
                execute as @a [scores={WandSpellPlayer=8}] at @s run execute as @s [scores={WandText=1..}] at @s run title @s actionbar §bSpell: §aApparate §e(TP to Floo Hub) §bselected.
                execute as @e [type=snowball, scores={WandTTL=2}] at @s run scoreboard players set @a [r=5,c=1,scores={WandSpellPlayer=8}] WandCooldown 100

        #Spell colors
                execute as @e [type=snowball,scores={WandSpell=1}] at @s run particle minecraft:wand_bolt_orange ^-0.2^^
                #execute as @e [type=snowball,scores={WandSpell=2}] at @s run particle minecraft:wand_bolt_grey ^-0.2^^
                #execute as @e [type=snowball,scores={WandSpell=3}] at @s run particle minecraft:wand_bolt_grey ^-0.2^^
                execute as @e [type=snowball,scores={WandSpell=4}] at @s run particle minecraft:wand_bolt_red ^-0.2^^
                execute as @e [type=snowball,scores={WandSpell=5}] at @s run particle minecraft:wand_bolt_purple ^-0.2^^
                execute as @e [type=snowball,scores={WandSpell=6}] at @s run particle minecraft:wand_bolt_yellow ^-0.2^^
                execute as @e [type=snowball,scores={WandSpell=7}] at @s run particle minecraft:wand_bolt_white ^-0.2^^
                execute as @e [type=snowball,scores={WandSpell=8}] at @s run particle minecraft:wand_bolt_cyan ^-0.2^^

        #Wand Sounds
                execute as @e [type=snowball, scores={WandTTL=1}] at @s run playsound wand_spell3 @p [r=5, scores={WandSpellPlayer=!2,WandSpellPlayer=!3}] ~~~


#ender_pearl Wand logic

        #ElderWand spells hit entity

        #1 (Avada Kedavra)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=1,ElderWand_TTL=1..}] at @s positioned ~~-1~ run tag @e [type=!hp:buckbeak, type=!npc, type=!painting, type=!hp:thestral, type=!hp:hagrid,type=!hog:sortinghat,r=0.9] add KillMe
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=1,ElderWand_TTL=1..}] at @s positioned ~~-1~ if entity @e [r=0.9] run execute as @e [r=45] at @s run playsound ambient.weather.lightning.impact @p ^^2^1
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=1,ElderWand_TTL=1..}] at @s positioned ~~-1~ if entity @e [r=0.9] run kill @s
        kill @e [tag=KillMe]
        tag @a remove KillMe
        
        #2 (Brackium Emendo)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=2}] at @s positioned ~~~ run effect @p [c=1] regeneration 10 1
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=2}] at @s positioned ~~~ run execute as @p [c=1] at @s run playsound random.levelup @s ~~1~
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=2,ElderWand_TTL=3..}] at @s positioned ~~~ run kill @s
        
        #3 (Crucio)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=3,ElderWand_TTL=1..}] at @s positioned ~~-1~ run effect @e [type=!hp:buckbeak, type=!npc, type=!painting, type=!hp:thestral, type=!hp:hagrid,type=!hog:sortinghat,r=0.9] poison 7 1
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=3,ElderWand_TTL=1..}] at @s positioned ~~-1~ if entity @e [r=0.9] run kill @s
        
        #4 (Expelliarmus)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=4,ElderWand_TTL=1..}] at @s positioned ~~-1~ run tag @e [type=!hp:buckbeak, type=!npc, type=!painting, type=!hp:thestral, type=!hp:hagrid,type=!hog:sortinghat,r=0.9] add Expelliarmus
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=4,ElderWand_TTL=1..}] at @s positioned ~~-1~ run scoreboard players set @e [type=!hp:buckbeak, type=!npc, type=!painting, type=!hp:thestral, type=!hp:hagrid,type=!hog:sortinghat,r=0.9, tag=Expelliarmus] Timer 700
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=4,ElderWand_TTL=1..}] at @s positioned ~~-1~ if entity @e [r=0.9] run kill @s
        title @a [tag=Expelliarmus] actionbar §3Expelliarmus!
        clear @a [tag=Expelliarmus, scores={Timer=5..}] ender_pearl
        replaceitem entity @a [tag=Expelliarmus, scores={Timer=5}] slot.weapon.mainhand 0 ender_pearl
        tag @a [tag=Expelliarmus, scores={Timer=..5}] remove Expelliarmus
        
        #5 (Finite incantatem)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=5}] at @s positioned ~~~ run effect @p [c=1] clear
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=5}] at @s positioned ~~~ run execute as @p [c=1] at @s run playsound item.trident.return @s ~~1~
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=5,ElderWand_TTL=3..}] at @s positioned ~~~ run kill @s

        #6 (Immobulus)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=6,ElderWand_TTL=1..}] at @s positioned ~~-1~ run effect @e [type=!hp:buckbeak, type=!npc, type=!painting, type=!hp:thestral, type=!hp:hagrid,type=!hog:sortinghat,r=0.9] slowness 5 1
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=6,ElderWand_TTL=1..}] at @s positioned ~~-1~ if entity @e [r=0.9] run kill @s
        
        #7 (Obscuro)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=7,ElderWand_TTL=1..}] at @s positioned ~~-1~ run effect @e [type=!hp:buckbeak, type=!npc, type=!painting, type=!hp:thestral, type=!hp:hagrid,type=!hog:sortinghat,r=0.9] blindness 7 1
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=7,ElderWand_TTL=1..}] at @s positioned ~~-1~ if entity @e [r=0.9] run kill @s
        
        #8 (Protego)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=8,ElderWand_TTL=1..}] at @s positioned ~~-1~ run kill @e [type=ender_pearl, r=20, scores={ElderWand_Spell=!8,ElderWand_Spell=!1}]
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=8,ElderWand_TTL=10..}] at @s positioned ~~-1~ if entity @e [type=!ender_pearl,r=3] run kill @s
        
        #9 (Rictusempra)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=9,ElderWand_TTL=1..}] at @s positioned ~~-1~ run effect @e [type=!hp:buckbeak, type=!npc, type=!painting, type=!hp:thestral, type=!hp:hagrid,type=!hog:sortinghat,r=0.9] nausea 7 1
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=9,ElderWand_TTL=1..}] at @s positioned ~~-1~ if entity @e [r=0.9] run kill @s
        
        #10 (Sectumsempra)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=10,ElderWand_TTL=1..}] at @s positioned ~~-1~ run effect @e [type=!hp:buckbeak, type=!npc, type=!painting, type=!hp:thestral, type=!hp:hagrid,type=!hog:sortinghat,r=0.9] wither 7 1
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=10,ElderWand_TTL=1..}] at @s positioned ~~-1~ if entity @e [r=0.9] run kill @s
        
        #11 (Stupefy)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=11,ElderWand_TTL=1..}] at @s positioned ~~-1~ run damage @e [type=!hp:buckbeak, type=!npc, type=!painting, type=!hp:thestral, type=!hp:hagrid,type=!hog:sortinghat,r=0.9] 5 magic
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=11,ElderWand_TTL=1..}] at @s positioned ~~-1~ if entity @e [r=0.9] run kill @s
        
        #12 (Wingardium Leviosa)
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=12,ElderWand_TTL=1..}] at @s positioned ~~-1~ run effect @e [type=!hp:buckbeak, type=!npc, type=!painting, type=!hp:thestral, type=!hp:hagrid,type=!hog:sortinghat,r=0.9] levitation 5 1
        execute as @e [type=ender_pearl,scores={ElderWand_Spell=12,ElderWand_TTL=1..}] at @s positioned ~~-1~ if entity @e [r=0.9] run kill @s
        
        #Add and clean sooreboards 
                scoreboard objectives add ElderWand_TTL dummy
                scoreboard objectives add ElderWand_Spell dummy
                scoreboard objectives add ElderWand_SP dummy
                scoreboard objectives add ElderWand_Text dummy
                scoreboard objectives add ElderWandCool dummy
                execute as @a at @s unless entity @e [type=ender_pearl] run scoreboard objectives remove ElderWand_TTL
                execute as @a at @s unless entity @e [type=ender_pearl] run scoreboard objectives remove ElderWand_Spell

        #Make sure players can't spam their elder wands
                
                clear @a [scores={ElderWandCool=2..}] ender_pearl
                clear @a [scores={ElderWandCool=2..}] carrot_on_a_stick
                replaceitem entity @a [scores={ElderWandCool=2..}] slot.weapon.mainhand 0 carrot_on_a_stick
                scoreboard players remove @a [scores={ElderWandCool=1..}] ElderWandCool 1
                replaceitem entity @a [scores={ElderWandCool=1}] slot.weapon.mainhand 0 ender_pearl

        #Make sure spells don't go through walls

                execute as @e [type=ender_pearl] at @s unless block ~~2~ air run kill @s

        #Make sure players don't get to close to eachother
                execute as @a [hasitem={item=ender_pearl,location=slot.weapon.mainhand}] at @s if entity @p [rm=0.8,r=5, hasitem={item=ender_pearl,location=slot.weapon.mainhand}] run scoreboard players set @s ElderWandCool 10
                execute as @a [hasitem={item=ender_pearl,location=slot.weapon.mainhand}] at @s if entity @p [rm=0.8,r=5, hasitem={item=ender_pearl,location=slot.weapon.mainhand}] run title @s actionbar §4Too close to other player, wand disabled!

        #Cycle through different Spells
                execute as @e [type=item, name="The Elder Wand"] at @s run scoreboard players add @p [c=1] ElderWand_SP 1
                #Realm fix Elder Wand
                execute as @e [type=item, name="Ender Pearl"] at @s run scoreboard players add @p [c=1] ElderWand_SP 1

                execute as @e [type=item, name="Recharging Elder Wand"] at @s run scoreboard players add @p [c=1] ElderWand_SP 1
                #Realm fix Recharging Elder Wand
                execute as @e [type=item, name="Carrot on a Stick"] at @s run scoreboard players add @p [c=1] ElderWand_SP 1

                execute as @a unless entity @s [scores={ElderWand_SP=0..}] run scoreboard players set @s ElderWand_SP 1
                scoreboard players set @a [scores={ElderWand_SP=13..}] ElderWand_SP 1

                #Inform players which Spell is selected
                        execute as @e [type=item, name="The Elder Wand"] at @s run scoreboard players set @p [c=1] ElderWand_Text 1
                        #Realm fix Elder Wand
                        execute as @e [type=item, name="Ender Pearl"] at @s run scoreboard players set @p [c=1] ElderWand_Text 1

                        execute as @e [type=item, name="Recharging Elder Wand"] at @s run scoreboard players set @p [c=1] ElderWand_Text 1
                        #Realm fix Elder Wand
                        execute as @e [type=item, name="Carrot on a Stick"] at @s run scoreboard players set @p [c=1] ElderWand_Text 1

                        scoreboard players add @a [scores={ElderWand_Text=1..}] ElderWand_Text 1
                        scoreboard players set @a [scores={ElderWand_Text=100..}] ElderWand_Text 0

                #Kill ElderWand after cycle
                        execute as @e [type=item, name="The Elder Wand"] at @s run replaceitem entity @p slot.weapon.mainhand 0 ender_pearl
                        #realm fix ElderWand
                        execute as @e [type=item, name="Ender Pearl"] at @s run replaceitem entity @p slot.weapon.mainhand 0 ender_pearl

                        kill @e [type=item, name="The Elder Wand"]
                        #Realm fix Elder Wand
                        kill @e [type=item, name="Ender Pearl"]

                        kill @e [type=item, name="Recharging Elder Wand"]
                        #Realm fix Recharging Elder Wand
                        kill @e [type=item, name="Carrot on a Stick"]

        #Make sure Spells don't fly indefinitely
                scoreboard players add @e [type=ender_pearl] ElderWand_TTL 1
                kill @e [type=ender_pearl, scores={ElderWand_TTL=71..}]
                scoreboard players reset @e [type=ender_pearl,scores={ElderWand_TTL=72..}]

        #Entity protection

        execute as @e [type=ender_pearl] at @s positioned ~~-1~ if entity @e [type=painting,r=2.5] run kill @s
        execute as @e [type=ender_pearl] at @s positioned ~~-1~ if entity @e [type=hw:r_banner,r=3] run kill @s
        execute as @e [type=ender_pearl] at @s positioned ~~-1~ if entity @e [type=hw:g_banner,r=3] run kill @s
        execute as @e [type=ender_pearl] at @s positioned ~~-1~ if entity @e [type= hw:s_banner,r=3] run kill @s
        execute as @e [type=ender_pearl] at @s positioned ~~-1~ if entity @e [type=hw:h_banner,r=3] run kill @s
        execute as @e [type=ender_pearl] at @s positioned ~~-1~ if entity @e [type= hw:c_banner,r=3] run kill @s

      
        #Spells and Cooldown
                execute as @a [scores={ElderWand_SP=1}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 1
                execute as @a [scores={ElderWand_SP=1}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §2Avada Kedavra §e(Attack / Kill) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=1}] ElderWandCool 120

                execute as @a [scores={ElderWand_SP=2}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 2
                execute as @a [scores={ElderWand_SP=2}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §6Brackium Emendo §e(Heal self) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=2}] ElderWandCool 200

                execute as @a [scores={ElderWand_SP=3}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 3
                execute as @a [scores={ElderWand_SP=3}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §4Crucio §e(Attack / Wither) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=3}] ElderWandCool 100

                execute as @a [scores={ElderWand_SP=4}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 4
                execute as @a [scores={ElderWand_SP=4}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §3Expelliarmus §e(Attack / Disarm) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=4}] ElderWandCool 50

                execute as @a [scores={ElderWand_SP=5}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 5
                execute as @a [scores={ElderWand_SP=5}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §eFinite incantatem §e(Stop effects) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=5}] ElderWandCool 50

                execute as @a [scores={ElderWand_SP=6}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 6
                execute as @a [scores={ElderWand_SP=6}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §3Immobulus §e(Attack / Slowness) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=6}] ElderWandCool 45

                execute as @a [scores={ElderWand_SP=7}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 7
                execute as @a [scores={ElderWand_SP=7}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §8Obscuro §e(Attack / Blindness) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=7}] ElderWandCool 35

                execute as @a [scores={ElderWand_SP=8}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 8
                execute as @a [scores={ElderWand_SP=8}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §1Protego §e(Defend / Shield) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=8}] ElderWandCool 30

                execute as @a [scores={ElderWand_SP=9}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 9
                execute as @a [scores={ElderWand_SP=9}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §5Rictusempra §e(Attack / Nausea) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=9}] ElderWandCool 40

                execute as @a [scores={ElderWand_SP=10}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 10
                execute as @a [scores={ElderWand_SP=10}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §4Sectumsempra §e(Attack / Poison) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=10}] ElderWandCool 65

                execute as @a [scores={ElderWand_SP=11}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 11
                execute as @a [scores={ElderWand_SP=11}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §cStupefy §e(Attack / Damage) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=11}] ElderWandCool 45

                execute as @a [scores={ElderWand_SP=12}] at @s run scoreboard players set @e [type=ender_pearl,scores={ElderWand_TTL=1},r=5] ElderWand_Spell 12
                execute as @a [scores={ElderWand_SP=12}] at @s run execute as @s [scores={ElderWand_Text=1..}] at @s run title @s actionbar §bSpell: §fWingardium Leviosa §e(Attack / Levitate) §bselected.
                execute as @e [type=ender_pearl, scores={ElderWand_TTL=1}] at @s run scoreboard players set @a [r=5,c=1,scores={ElderWand_SP=12}] ElderWandCool 35


        #Spell colors
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=1}] at @s run particle minecraft:wand_bolt_green ^-0.2^^
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=2}] at @s run particle minecraft:wand_bolt_yellow ^-0.2^^
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=3}] at @s run particle minecraft:wand_bolt_red ^-0.2^^
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=4}] at @s run particle minecraft:wand_bolt_purple ^-0.2^^                
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=5}] at @s run particle minecraft:wand_bolt_yellow ^-0.2^^
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=6}] at @s run particle minecraft:wand_bolt_cyan ^-0.2^^
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=7}] at @s run particle minecraft:wand_bolt_black ^-0.2^^
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=8}] at @s run particle minecraft:wand_bolt_blue ^-0.2^^
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=9}] at @s run particle minecraft:wand_bolt_orange ^-0.2^^
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=10}] at @s run particle minecraft:wand_bolt_red ^-0.2^^
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=11}] at @s run particle minecraft:wand_bolt_purple ^-0.2^^  
                execute as @e [type=ender_pearl,scores={ElderWand_Spell=12}] at @s run particle minecraft:wand_bolt_white ^-0.2^^

        #Wand Sounds
                #execute as @e [type=ender_pearl,scores={ElderWand_TTL=1}] at @s run playsound random.fizz @p [r=5] ~~~
                execute as @e [type=ender_pearl,scores={ElderWand_TTL=1}] at @s run playsound wand_spell3 @p [r=15] ~~2~                

                
